> For the complete documentation index, see [llms.txt](https://docs.skyone.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skyone.cloud/espanol/api-skyone-autosky/api-clientes/editar-clientes-de-un-entorno-especifico.md).

# Editar clientes de un entorno específico

Edita la información de todos los clientes de un entorno

```http
PATCH /clients/?amb_uuid={ambiente_uuid}
```

### Parámetros de Query

| Parámetro       | Obligatorio | Descripción      |
| --------------- | ----------- | ---------------- |
| `ambiente_uuid` | Sí          | UUID del entorno |

### Cuerpo de la solicitud

<table><thead><tr><th width="240.1927490234375">Campo</th><th width="155.515625">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><code>email_admin</code></td><td>string</td><td>Correo electrónico del administrador del entorno</td></tr><tr><td><code>amb_uuid</code></td><td>string</td><td>UUID del entorno</td></tr><tr><td><code>description</code></td><td>string</td><td>Información adicional del cliente</td></tr><tr><td><code>block_multiple_session</code></td><td>boolean</td><td>Activa/desactiva el bloqueo de múltiples sesiones</td></tr><tr><td><code>grupo_seguranca</code></td><td>string</td><td>Grupo de seguridad de AD</td></tr><tr><td><code>has_license_limit</code></td><td>boolean</td><td>Si tiene límite de licencias</td></tr><tr><td><code>license_limit</code></td><td>number</td><td>Número de licencias</td></tr><tr><td><code>ad_add_aditional_group</code></td><td>string</td><td>Grupo de seguridad de AD a vincular</td></tr><tr><td><code>ad_remove_aditional_group</code></td><td>string</td><td>Grupo de seguridad de AD a desvincular</td></tr></tbody></table>

### Respuesta

**Status:** `200 OK`

```json
{
  "detail": "Clients updated successfully"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.skyone.cloud/espanol/api-skyone-autosky/api-clientes/editar-clientes-de-un-entorno-especifico.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
